View Issue Details

IDProjectCategoryView StatusLast Update
0005178Talerexchangepublic2018-04-15 20:34
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005178: refresh protocol traffic optimization
DescriptionThe /refresh/melt API currently takes an array of kappa planchets. Instead we could just send one hash over all planchets and /refresh/reveal will receive the one planchet that will be signed.

This way we send one hash and one planchet instead of kappa planchets.
Additional InformationImplementing this in the exchange also requires the wallet to be adjusted.
TagsNo tags attached.

Relationships

related to 0005183 closedChristian Grothoff do not trust database to return rounded timestamps 

Activities

Christian Grothoff

2017-11-29 20:24

manager   ~0012614

Exchange patch ready (not yet committed).
[detached HEAD 499247a] fixing 0005178
 Date: Mon Nov 27 23:42:17 2017 +0100
 27 files changed, 2747 insertions(+), 4039 deletions(-)
 rewrite src/exchange/taler-exchange-httpd_refresh_reveal.c (66%)
Successfully rebased and updated refs/heads/master.

5178.diff (331,098 bytes)

Christian Grothoff

2017-11-29 20:26

manager   ~0012615

I can push the patch anytime, diff attached for your convenience. Assigning to Florian for wallet-side.

Christian Grothoff

2017-11-29 20:27

manager   ~0012616

e249dc4..bc72d8c is the respective change in the api.git (already pushed).

Florian Dold

2017-12-09 03:37

manager   ~0012638

Implemented in 3e6bd635

Issue History

Date Modified Username Field Change
2017-11-13 15:07 Florian Dold New Issue
2017-11-13 15:07 Florian Dold Status new => assigned
2017-11-13 15:07 Florian Dold Assigned To => Christian Grothoff
2017-11-19 22:40 Christian Grothoff Severity minor => feature
2017-11-19 22:40 Christian Grothoff Product Version => SVN HEAD
2017-11-19 22:40 Christian Grothoff Target Version => 0.5
2017-11-29 20:24 Christian Grothoff File Added: 5178.diff
2017-11-29 20:24 Christian Grothoff Note Added: 0012614
2017-11-29 20:26 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2017-11-29 20:26 Christian Grothoff Note Added: 0012615
2017-11-29 20:27 Christian Grothoff Note Added: 0012616
2017-11-30 17:19 Christian Grothoff Relationship added related to 0005183
2017-12-09 03:37 Florian Dold Status assigned => resolved
2017-12-09 03:37 Florian Dold Resolution open => fixed
2017-12-09 03:37 Florian Dold Note Added: 0012638
2017-12-14 15:37 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:34 Christian Grothoff Status resolved => closed